Subject: Re: tar a filesystem outside of /cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Tue, 12 Dec 2000 20:44:33 +0100

<12 Dec 2000, 13:57 Uhr wars, als Christopher Faylor folgendes schrub:>
< Re: tar a filesystem outside of /cy >

> On Tue, Dec 12, 2000 at 01:38:35PM -0500, Larry Hall (RFK Partners, Inc) wrote:
> >At 01:30 PM 12/12/2000, John F. Davis wrote:
> >>Any particular reason why I can't mount a filesystem in /home?
> >>i.e., cd /home/davis
> >>mkdir progs
> >>mount c:/progs /progs
> >>The mount says, "mount: progs: Invalid argument
> >
> >The directory you mount to must exist where you tell mount it is.  In your
> >example, unless "/" == "/home/davis", you don't have a progs where you're 
> >telling mount you do.  That'd be the problem...
> 
> Actually, after digging around in the code, it looks like the most
> likely scenario in which you'd get an "Invalid argument" is if you
> typed something like:
> 
> mount c:/progs progs
>                ^
>                no leading slash
> 
> If you don't specify an absolute path, mount will complain.
> 
> It is not necessary for either of mounts arguments to exist, but they
> have to be fully qualified windows and unix paths respectively.
> 
> So, when I suggested that the directory was already mounted, I was wrong.
> And, the inference that the directory has to exist is also wrong.
> 
> What you want to do in the above scenario is:
> 
> mount c:\whereever\home\really\is\home\davis\progs /progs
> 
> cgf

Well i see, it is not easy mounting drives:-)

I believe, he wants to mount c:\progs under his home dir.
So he has to write:
not: > >>mount c:/progs /progs
but:
mount [-b] [-s] [-f] c:/progs /home/davis/progs

But this all is not the explanation, why he got an error of mount, 
because he should also be able to mount c:\progs to /progs, why not?

It looks like this, if the mount already exists:
$ mount e:/ftproot /ftproot
mount: /ftproot: Device or resource busy

And it looks like this, if the dir does not exist where you want to be 
the mount point:
$ mount a:/ /hdd/x
mount: warning - /hdd/x does not exist.

And it looks like this, if...???:
> >>mount c:/progs /progs
> >>mount: progs: Invalid argument

I got the same error as i tried:
mount d:\ftproot /ftproot
which normally displays the help!

Ciao, 
-- 
Gerrit Peter Haase

--
Want to unsubscribe from this list?
Send a message to [email-masked]